published on Tuesday, Aug 25, 2026 by Pulumi
published on Tuesday, Aug 25, 2026 by Pulumi
Accepted Permissions
MCP Portals ReadMCP Portals Write
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as cloudflare from "@pulumi/cloudflare";
const exampleZeroTrustAccessAiControlsMcpPortal = new cloudflare.ZeroTrustAccessAiControlsMcpPortal("example_zero_trust_access_ai_controls_mcp_portal", {
accountId: "a86a8f5c339544d7bdc89926de14fb8c",
zeroTrustAccessAiControlsMcpPortalId: "my-mcp-portal",
hostname: "example.com",
name: "My MCP Portal",
allowCodeMode: true,
codeMode: "opt_in",
description: "This is my custom MCP Portal",
secureWebGateway: false,
servers: [{
serverId: "my-mcp-server",
defaultDisabled: true,
onBehalf: true,
updatedPrompts: [{
name: "name",
alias: "my-custom-alias",
description: "description",
enabled: true,
}],
updatedTools: [{
name: "name",
alias: "my-custom-alias",
description: "description",
enabled: true,
}],
}],
});
import pulumi
import pulumi_cloudflare as cloudflare
example_zero_trust_access_ai_controls_mcp_portal = cloudflare.ZeroTrustAccessAiControlsMcpPortal("example_zero_trust_access_ai_controls_mcp_portal",
account_id="a86a8f5c339544d7bdc89926de14fb8c",
zero_trust_access_ai_controls_mcp_portal_id="my-mcp-portal",
hostname="example.com",
name="My MCP Portal",
allow_code_mode=True,
code_mode="opt_in",
description="This is my custom MCP Portal",
secure_web_gateway=False,
servers=[{
"server_id": "my-mcp-server",
"default_disabled": True,
"on_behalf": True,
"updated_prompts": [{
"name": "name",
"alias": "my-custom-alias",
"description": "description",
"enabled": True,
}],
"updated_tools": [{
"name": "name",
"alias": "my-custom-alias",
"description": "description",
"enabled": True,
}],
}])
package main
import (
"github.com/pulumi/pulumi-cloudflare/sdk/v6/go/cloudflare"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := cloudflare.NewZeroTrustAccessAiControlsMcpPortal(ctx, "example_zero_trust_access_ai_controls_mcp_portal", &cloudflare.ZeroTrustAccessAiControlsMcpPortalArgs{
AccountId: pulumi.String("a86a8f5c339544d7bdc89926de14fb8c"),
ZeroTrustAccessAiControlsMcpPortalId: pulumi.String("my-mcp-portal"),
Hostname: pulumi.String("example.com"),
Name: pulumi.String("My MCP Portal"),
AllowCodeMode: pulumi.Bool(true),
CodeMode: pulumi.String("opt_in"),
Description: pulumi.String("This is my custom MCP Portal"),
SecureWebGateway: pulumi.Bool(false),
Servers: cloudflare.ZeroTrustAccessAiControlsMcpPortalServerArray{
&cloudflare.ZeroTrustAccessAiControlsMcpPortalServerArgs{
ServerId: pulumi.String("my-mcp-server"),
DefaultDisabled: pulumi.Bool(true),
OnBehalf: pulumi.Bool(true),
UpdatedPrompts: cloudflare.ZeroTrustAccessAiControlsMcpPortalServerUpdatedPromptArray{
&cloudflare.ZeroTrustAccessAiControlsMcpPortalServerUpdatedPromptArgs{
Name: pulumi.String("name"),
Alias: pulumi.String("my-custom-alias"),
Description: pulumi.String("description"),
Enabled: pulumi.Bool(true),
},
},
UpdatedTools: cloudflare.ZeroTrustAccessAiControlsMcpPortalServerUpdatedToolArray{
&cloudflare.ZeroTrustAccessAiControlsMcpPortalServerUpdatedToolArgs{
Name: pulumi.String("name"),
Alias: pulumi.String("my-custom-alias"),
Description: pulumi.String("description"),
Enabled: pulumi.Bool(true),
},
},
},
},
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Cloudflare = Pulumi.Cloudflare;
return await Deployment.RunAsync(() =>
{
var exampleZeroTrustAccessAiControlsMcpPortal = new Cloudflare.ZeroTrustAccessAiControlsMcpPortal("example_zero_trust_access_ai_controls_mcp_portal", new()
{
AccountId = "a86a8f5c339544d7bdc89926de14fb8c",
ZeroTrustAccessAiControlsMcpPortalId = "my-mcp-portal",
Hostname = "example.com",
Name = "My MCP Portal",
AllowCodeMode = true,
CodeMode = "opt_in",
Description = "This is my custom MCP Portal",
SecureWebGateway = false,
Servers = new[]
{
new Cloudflare.Inputs.ZeroTrustAccessAiControlsMcpPortalServerArgs
{
ServerId = "my-mcp-server",
DefaultDisabled = true,
OnBehalf = true,
UpdatedPrompts = new[]
{
new Cloudflare.Inputs.ZeroTrustAccessAiControlsMcpPortalServerUpdatedPromptArgs
{
Name = "name",
Alias = "my-custom-alias",
Description = "description",
Enabled = true,
},
},
UpdatedTools = new[]
{
new Cloudflare.Inputs.ZeroTrustAccessAiControlsMcpPortalServerUpdatedToolArgs
{
Name = "name",
Alias = "my-custom-alias",
Description = "description",
Enabled = true,
},
},
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.cloudflare.ZeroTrustAccessAiControlsMcpPortal;
import com.pulumi.cloudflare.ZeroTrustAccessAiControlsMcpPortalArgs;
import com.pulumi.cloudflare.inputs.ZeroTrustAccessAiControlsMcpPortalServerArgs;
import com.pulumi.cloudflare.inputs.ZeroTrustAccessAiControlsMcpPortalServerUpdatedPromptArgs;
import com.pulumi.cloudflare.inputs.ZeroTrustAccessAiControlsMcpPortalServerUpdatedToolArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var exampleZeroTrustAccessAiControlsMcpPortal = new ZeroTrustAccessAiControlsMcpPortal("exampleZeroTrustAccessAiControlsMcpPortal", ZeroTrustAccessAiControlsMcpPortalArgs.builder()
.accountId("a86a8f5c339544d7bdc89926de14fb8c")
.zeroTrustAccessAiControlsMcpPortalId("my-mcp-portal")
.hostname("example.com")
.name("My MCP Portal")
.allowCodeMode(true)
.codeMode("opt_in")
.description("This is my custom MCP Portal")
.secureWebGateway(false)
.servers(ZeroTrustAccessAiControlsMcpPortalServerArgs.builder()
.serverId("my-mcp-server")
.defaultDisabled(true)
.onBehalf(true)
.updatedPrompts(ZeroTrustAccessAiControlsMcpPortalServerUpdatedPromptArgs.builder()
.name("name")
.alias("my-custom-alias")
.description("description")
.enabled(true)
.build())
.updatedTools(ZeroTrustAccessAiControlsMcpPortalServerUpdatedToolArgs.builder()
.name("name")
.alias("my-custom-alias")
.description("description")
.enabled(true)
.build())
.build())
.build());
}
}
resources:
exampleZeroTrustAccessAiControlsMcpPortal:
type: cloudflare:ZeroTrustAccessAiControlsMcpPortal
name: example_zero_trust_access_ai_controls_mcp_portal
properties:
accountId: a86a8f5c339544d7bdc89926de14fb8c
zeroTrustAccessAiControlsMcpPortalId: my-mcp-portal
hostname: example.com
name: My MCP Portal
allowCodeMode: true
codeMode: opt_in
description: This is my custom MCP Portal
secureWebGateway: false
servers:
- serverId: my-mcp-server
defaultDisabled: true
onBehalf: true
updatedPrompts:
- name: name
alias: my-custom-alias
description: description
enabled: true
updatedTools:
- name: name
alias: my-custom-alias
description: description
enabled: true
pulumi {
required_providers {
cloudflare = {
source = "pulumi/cloudflare"
}
}
}
resource "cloudflare_zerotrustaccessaicontrolsmcpportal" "example_zero_trust_access_ai_controls_mcp_portal" {
account_id = "a86a8f5c339544d7bdc89926de14fb8c"
zero_trust_access_ai_controls_mcp_portal_id = "my-mcp-portal"
hostname = "example.com"
name = "My MCP Portal"
allow_code_mode = true
code_mode = "opt_in"
description = "This is my custom MCP Portal"
secure_web_gateway = false
servers {
server_id = "my-mcp-server"
default_disabled = true
on_behalf = true
updated_prompts {
name = "name"
alias = "my-custom-alias"
description = "description"
enabled = true
}
updated_tools {
name = "name"
alias = "my-custom-alias"
description = "description"
enabled = true
}
}
}
Create ZeroTrustAccessAiControlsMcpPortal Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new ZeroTrustAccessAiControlsMcpPortal(name: string, args: ZeroTrustAccessAiControlsMcpPortalArgs, opts?: CustomResourceOptions);@overload
def ZeroTrustAccessAiControlsMcpPortal(resource_name: str,
args: ZeroTrustAccessAiControlsMcpPortalArgs,
opts: Optional[ResourceOptions] = None)
@overload
def ZeroTrustAccessAiControlsMcpPortal(resource_name: str,
opts: Optional[ResourceOptions] = None,
account_id: Optional[str] = None,
hostname: Optional[str] = None,
name: Optional[str] = None,
zero_trust_access_ai_controls_mcp_portal_id: Optional[str] = None,
allow_code_mode: Optional[bool] = None,
code_mode: Optional[str] = None,
description: Optional[str] = None,
secure_web_gateway: Optional[bool] = None,
servers: Optional[Sequence[ZeroTrustAccessAiControlsMcpPortalServerArgs]] = None)func NewZeroTrustAccessAiControlsMcpPortal(ctx *Context, name string, args ZeroTrustAccessAiControlsMcpPortalArgs, opts ...ResourceOption) (*ZeroTrustAccessAiControlsMcpPortal, error)public ZeroTrustAccessAiControlsMcpPortal(string name, ZeroTrustAccessAiControlsMcpPortalArgs args, CustomResourceOptions? opts = null)
public ZeroTrustAccessAiControlsMcpPortal(String name, ZeroTrustAccessAiControlsMcpPortalArgs args)
public ZeroTrustAccessAiControlsMcpPortal(String name, ZeroTrustAccessAiControlsMcpPortalArgs args, CustomResourceOptions options)
type: cloudflare:ZeroTrustAccessAiControlsMcpPortal
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "cloudflare_zero_trust_access_ai_controls_mcp_portal" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args ZeroTrustAccessAiControlsMcpPortalArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args ZeroTrustAccessAiControlsMcpPortalArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args ZeroTrustAccessAiControlsMcpPortalArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args ZeroTrustAccessAiControlsMcpPortalArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args ZeroTrustAccessAiControlsMcpPortalArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var zeroTrustAccessAiControlsMcpPortalResource = new Cloudflare.ZeroTrustAccessAiControlsMcpPortal("zeroTrustAccessAiControlsMcpPortalResource", new()
{
AccountId = "string",
Hostname = "string",
Name = "string",
ZeroTrustAccessAiControlsMcpPortalId = "string",
CodeMode = "string",
Description = "string",
SecureWebGateway = false,
Servers = new[]
{
new Cloudflare.Inputs.ZeroTrustAccessAiControlsMcpPortalServerArgs
{
ServerId = "string",
DefaultDisabled = false,
OnBehalf = false,
UpdatedPrompts = new[]
{
new Cloudflare.Inputs.ZeroTrustAccessAiControlsMcpPortalServerUpdatedPromptArgs
{
Name = "string",
Alias = "string",
Description = "string",
Enabled = false,
},
},
UpdatedTools = new[]
{
new Cloudflare.Inputs.ZeroTrustAccessAiControlsMcpPortalServerUpdatedToolArgs
{
Name = "string",
Alias = "string",
Description = "string",
Enabled = false,
},
},
},
},
});
example, err := cloudflare.NewZeroTrustAccessAiControlsMcpPortal(ctx, "zeroTrustAccessAiControlsMcpPortalResource", &cloudflare.ZeroTrustAccessAiControlsMcpPortalArgs{
AccountId: pulumi.String("string"),
Hostname: pulumi.String("string"),
Name: pulumi.String("string"),
ZeroTrustAccessAiControlsMcpPortalId: pulumi.String("string"),
CodeMode: pulumi.String("string"),
Description: pulumi.String("string"),
SecureWebGateway: pulumi.Bool(false),
Servers: cloudflare.ZeroTrustAccessAiControlsMcpPortalServerArray{
&cloudflare.ZeroTrustAccessAiControlsMcpPortalServerArgs{
ServerId: pulumi.String("string"),
DefaultDisabled: pulumi.Bool(false),
OnBehalf: pulumi.Bool(false),
UpdatedPrompts: cloudflare.ZeroTrustAccessAiControlsMcpPortalServerUpdatedPromptArray{
&cloudflare.ZeroTrustAccessAiControlsMcpPortalServerUpdatedPromptArgs{
Name: pulumi.String("string"),
Alias: pulumi.String("string"),
Description: pulumi.String("string"),
Enabled: pulumi.Bool(false),
},
},
UpdatedTools: cloudflare.ZeroTrustAccessAiControlsMcpPortalServerUpdatedToolArray{
&cloudflare.ZeroTrustAccessAiControlsMcpPortalServerUpdatedToolArgs{
Name: pulumi.String("string"),
Alias: pulumi.String("string"),
Description: pulumi.String("string"),
Enabled: pulumi.Bool(false),
},
},
},
},
})
resource "cloudflare_zero_trust_access_ai_controls_mcp_portal" "zeroTrustAccessAiControlsMcpPortalResource" {
lifecycle {
create_before_destroy = true
}
account_id = "string"
hostname = "string"
name = "string"
zero_trust_access_ai_controls_mcp_portal_id = "string"
code_mode = "string"
description = "string"
secure_web_gateway = false
servers {
server_id = "string"
default_disabled = false
on_behalf = false
updated_prompts {
name = "string"
alias = "string"
description = "string"
enabled = false
}
updated_tools {
name = "string"
alias = "string"
description = "string"
enabled = false
}
}
}
var zeroTrustAccessAiControlsMcpPortalResource = new ZeroTrustAccessAiControlsMcpPortal("zeroTrustAccessAiControlsMcpPortalResource", ZeroTrustAccessAiControlsMcpPortalArgs.builder()
.accountId("string")
.hostname("string")
.name("string")
.zeroTrustAccessAiControlsMcpPortalId("string")
.codeMode("string")
.description("string")
.secureWebGateway(false)
.servers(ZeroTrustAccessAiControlsMcpPortalServerArgs.builder()
.serverId("string")
.defaultDisabled(false)
.onBehalf(false)
.updatedPrompts(ZeroTrustAccessAiControlsMcpPortalServerUpdatedPromptArgs.builder()
.name("string")
.alias("string")
.description("string")
.enabled(false)
.build())
.updatedTools(ZeroTrustAccessAiControlsMcpPortalServerUpdatedToolArgs.builder()
.name("string")
.alias("string")
.description("string")
.enabled(false)
.build())
.build())
.build());
zero_trust_access_ai_controls_mcp_portal_resource = cloudflare.ZeroTrustAccessAiControlsMcpPortal("zeroTrustAccessAiControlsMcpPortalResource",
account_id="string",
hostname="string",
name="string",
zero_trust_access_ai_controls_mcp_portal_id="string",
code_mode="string",
description="string",
secure_web_gateway=False,
servers=[{
"server_id": "string",
"default_disabled": False,
"on_behalf": False,
"updated_prompts": [{
"name": "string",
"alias": "string",
"description": "string",
"enabled": False,
}],
"updated_tools": [{
"name": "string",
"alias": "string",
"description": "string",
"enabled": False,
}],
}])
const zeroTrustAccessAiControlsMcpPortalResource = new cloudflare.ZeroTrustAccessAiControlsMcpPortal("zeroTrustAccessAiControlsMcpPortalResource", {
accountId: "string",
hostname: "string",
name: "string",
zeroTrustAccessAiControlsMcpPortalId: "string",
codeMode: "string",
description: "string",
secureWebGateway: false,
servers: [{
serverId: "string",
defaultDisabled: false,
onBehalf: false,
updatedPrompts: [{
name: "string",
alias: "string",
description: "string",
enabled: false,
}],
updatedTools: [{
name: "string",
alias: "string",
description: "string",
enabled: false,
}],
}],
});
type: cloudflare:ZeroTrustAccessAiControlsMcpPortal
properties:
accountId: string
codeMode: string
description: string
hostname: string
name: string
secureWebGateway: false
servers:
- defaultDisabled: false
onBehalf: false
serverId: string
updatedPrompts:
- alias: string
description: string
enabled: false
name: string
updatedTools:
- alias: string
description: string
enabled: false
name: string
zeroTrustAccessAiControlsMcpPortalId: string
ZeroTrustAccessAiControlsMcpPortal Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The ZeroTrustAccessAiControlsMcpPortal resource accepts the following input properties:
- Account
Id string - Hostname string
- Hostname where the MCP portal is available.
- Name string
- Display name for the MCP portal.
- Zero
Trust stringAccess Ai Controls Mcp Portal Id - Unique identifier for the MCP portal.
- Allow
Code boolMode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - Code
Mode string - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - Description string
- Optional description of the MCP portal.
- Secure
Web boolGateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- Servers
List<Zero
Trust Access Ai Controls Mcp Portal Server> - MCP servers attached to the portal and their portal-specific settings.
- Account
Id string - Hostname string
- Hostname where the MCP portal is available.
- Name string
- Display name for the MCP portal.
- Zero
Trust stringAccess Ai Controls Mcp Portal Id - Unique identifier for the MCP portal.
- Allow
Code boolMode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - Code
Mode string - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - Description string
- Optional description of the MCP portal.
- Secure
Web boolGateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- Servers
[]Zero
Trust Access Ai Controls Mcp Portal Server Args - MCP servers attached to the portal and their portal-specific settings.
- account_
id string - hostname string
- Hostname where the MCP portal is available.
- name string
- Display name for the MCP portal.
- zero_
trust_ stringaccess_ ai_ controls_ mcp_ portal_ id - Unique identifier for the MCP portal.
- allow_
code_ boolmode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - code_
mode string - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - description string
- Optional description of the MCP portal.
- secure_
web_ boolgateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- servers list(object)
- MCP servers attached to the portal and their portal-specific settings.
- account
Id String - hostname String
- Hostname where the MCP portal is available.
- name String
- Display name for the MCP portal.
- zero
Trust StringAccess Ai Controls Mcp Portal Id - Unique identifier for the MCP portal.
- allow
Code BooleanMode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - code
Mode String - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - description String
- Optional description of the MCP portal.
- secure
Web BooleanGateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- servers
List<Zero
Trust Access Ai Controls Mcp Portal Server> - MCP servers attached to the portal and their portal-specific settings.
- account
Id string - hostname string
- Hostname where the MCP portal is available.
- name string
- Display name for the MCP portal.
- zero
Trust stringAccess Ai Controls Mcp Portal Id - Unique identifier for the MCP portal.
- allow
Code booleanMode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - code
Mode string - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - description string
- Optional description of the MCP portal.
- secure
Web booleanGateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- servers
Zero
Trust Access Ai Controls Mcp Portal Server[] - MCP servers attached to the portal and their portal-specific settings.
- account_
id str - hostname str
- Hostname where the MCP portal is available.
- name str
- Display name for the MCP portal.
- zero_
trust_ straccess_ ai_ controls_ mcp_ portal_ id - Unique identifier for the MCP portal.
- allow_
code_ boolmode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - code_
mode str - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - description str
- Optional description of the MCP portal.
- secure_
web_ boolgateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- servers
Sequence[Zero
Trust Access Ai Controls Mcp Portal Server Args] - MCP servers attached to the portal and their portal-specific settings.
- account
Id String - hostname String
- Hostname where the MCP portal is available.
- name String
- Display name for the MCP portal.
- zero
Trust StringAccess Ai Controls Mcp Portal Id - Unique identifier for the MCP portal.
- allow
Code BooleanMode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - code
Mode String - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - description String
- Optional description of the MCP portal.
- secure
Web BooleanGateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- servers List<Property Map>
- MCP servers attached to the portal and their portal-specific settings.
Outputs
All input properties are implicitly available as output properties. Additionally, the ZeroTrustAccessAiControlsMcpPortal resource produces the following output properties:
- Created
At string - Created
By string - Id string
- The provider-assigned unique ID for this managed resource.
- Modified
At string - Modified
By string
- Created
At string - Created
By string - Id string
- The provider-assigned unique ID for this managed resource.
- Modified
At string - Modified
By string
- created_
at string - created_
by string - id string
- The provider-assigned unique ID for this managed resource.
- modified_
at string - modified_
by string
- created
At String - created
By String - id String
- The provider-assigned unique ID for this managed resource.
- modified
At String - modified
By String
- created
At string - created
By string - id string
- The provider-assigned unique ID for this managed resource.
- modified
At string - modified
By string
- created_
at str - created_
by str - id str
- The provider-assigned unique ID for this managed resource.
- modified_
at str - modified_
by str
- created
At String - created
By String - id String
- The provider-assigned unique ID for this managed resource.
- modified
At String - modified
By String
Look up Existing ZeroTrustAccessAiControlsMcpPortal Resource
Get an existing ZeroTrustAccessAiControlsMcpPortal resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: ZeroTrustAccessAiControlsMcpPortalState, opts?: CustomResourceOptions): ZeroTrustAccessAiControlsMcpPortal@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
account_id: Optional[str] = None,
allow_code_mode: Optional[bool] = None,
code_mode: Optional[str] = None,
created_at: Optional[str] = None,
created_by: Optional[str] = None,
description: Optional[str] = None,
hostname: Optional[str] = None,
modified_at: Optional[str] = None,
modified_by: Optional[str] = None,
name: Optional[str] = None,
secure_web_gateway: Optional[bool] = None,
servers: Optional[Sequence[ZeroTrustAccessAiControlsMcpPortalServerArgs]] = None,
zero_trust_access_ai_controls_mcp_portal_id: Optional[str] = None) -> ZeroTrustAccessAiControlsMcpPortalfunc GetZeroTrustAccessAiControlsMcpPortal(ctx *Context, name string, id IDInput, state *ZeroTrustAccessAiControlsMcpPortalState, opts ...ResourceOption) (*ZeroTrustAccessAiControlsMcpPortal, error)public static ZeroTrustAccessAiControlsMcpPortal Get(string name, Input<string> id, ZeroTrustAccessAiControlsMcpPortalState? state, CustomResourceOptions? opts = null)public static ZeroTrustAccessAiControlsMcpPortal get(String name, Output<String> id, ZeroTrustAccessAiControlsMcpPortalState state, CustomResourceOptions options)resources: _: type: cloudflare:ZeroTrustAccessAiControlsMcpPortal get: id: ${id}import {
to = cloudflare_zero_trust_access_ai_controls_mcp_portal.example
id = "${id}"
}
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Account
Id string - Allow
Code boolMode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - Code
Mode string - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - Created
At string - Created
By string - Description string
- Optional description of the MCP portal.
- Hostname string
- Hostname where the MCP portal is available.
- Modified
At string - Modified
By string - Name string
- Display name for the MCP portal.
- Secure
Web boolGateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- Servers
List<Zero
Trust Access Ai Controls Mcp Portal Server> - MCP servers attached to the portal and their portal-specific settings.
- Zero
Trust stringAccess Ai Controls Mcp Portal Id - Unique identifier for the MCP portal.
- Account
Id string - Allow
Code boolMode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - Code
Mode string - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - Created
At string - Created
By string - Description string
- Optional description of the MCP portal.
- Hostname string
- Hostname where the MCP portal is available.
- Modified
At string - Modified
By string - Name string
- Display name for the MCP portal.
- Secure
Web boolGateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- Servers
[]Zero
Trust Access Ai Controls Mcp Portal Server Args - MCP servers attached to the portal and their portal-specific settings.
- Zero
Trust stringAccess Ai Controls Mcp Portal Id - Unique identifier for the MCP portal.
- account_
id string - allow_
code_ boolmode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - code_
mode string - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - created_
at string - created_
by string - description string
- Optional description of the MCP portal.
- hostname string
- Hostname where the MCP portal is available.
- modified_
at string - modified_
by string - name string
- Display name for the MCP portal.
- secure_
web_ boolgateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- servers list(object)
- MCP servers attached to the portal and their portal-specific settings.
- zero_
trust_ stringaccess_ ai_ controls_ mcp_ portal_ id - Unique identifier for the MCP portal.
- account
Id String - allow
Code BooleanMode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - code
Mode String - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - created
At String - created
By String - description String
- Optional description of the MCP portal.
- hostname String
- Hostname where the MCP portal is available.
- modified
At String - modified
By String - name String
- Display name for the MCP portal.
- secure
Web BooleanGateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- servers
List<Zero
Trust Access Ai Controls Mcp Portal Server> - MCP servers attached to the portal and their portal-specific settings.
- zero
Trust StringAccess Ai Controls Mcp Portal Id - Unique identifier for the MCP portal.
- account
Id string - allow
Code booleanMode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - code
Mode string - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - created
At string - created
By string - description string
- Optional description of the MCP portal.
- hostname string
- Hostname where the MCP portal is available.
- modified
At string - modified
By string - name string
- Display name for the MCP portal.
- secure
Web booleanGateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- servers
Zero
Trust Access Ai Controls Mcp Portal Server[] - MCP servers attached to the portal and their portal-specific settings.
- zero
Trust stringAccess Ai Controls Mcp Portal Id - Unique identifier for the MCP portal.
- account_
id str - allow_
code_ boolmode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - code_
mode str - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - created_
at str - created_
by str - description str
- Optional description of the MCP portal.
- hostname str
- Hostname where the MCP portal is available.
- modified_
at str - modified_
by str - name str
- Display name for the MCP portal.
- secure_
web_ boolgateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- servers
Sequence[Zero
Trust Access Ai Controls Mcp Portal Server Args] - MCP servers attached to the portal and their portal-specific settings.
- zero_
trust_ straccess_ ai_ controls_ mcp_ portal_ id - Unique identifier for the MCP portal.
- account
Id String - allow
Code BooleanMode - Deprecated: use
codeModefor new integrations.truemaps to any non-off Code Mode policy;falsemaps tocode_mode: off. If both fields are sent, they must be consistent or the request returns a 400. - code
Mode String - Code Mode policy for this portal.
off: Code Mode is unavailable; query parameters are ignored.optIn: Code Mode is off by default; clients turn it on with?codemode=search_and_execute.defaultOn: Code Mode is on by default; clients can opt out with?codemode=off.enforced: Code Mode is always on; query parameters are ignored. Defaults tooptInwhen omitted on create. If bothcodeModeandallowCodeModeare sent, they must be consistent or the request returns a 400. Available values: "off", "optin", "defaulton", "enforced". - created
At String - created
By String - description String
- Optional description of the MCP portal.
- hostname String
- Hostname where the MCP portal is available.
- modified
At String - modified
By String - name String
- Display name for the MCP portal.
- secure
Web BooleanGateway - Route outbound MCP traffic through Zero Trust Secure Web Gateway.
- servers List<Property Map>
- MCP servers attached to the portal and their portal-specific settings.
- zero
Trust StringAccess Ai Controls Mcp Portal Id - Unique identifier for the MCP portal.
Supporting Types
ZeroTrustAccessAiControlsMcpPortalServer, ZeroTrustAccessAiControlsMcpPortalServerArgs
- Server
Id string - Unique identifier for the MCP server.
- Default
Disabled bool - Disable this server by default for clients connecting through the portal.
- On
Behalf bool - Use end-user OAuth credentials when connecting this server to the portal.
- Updated
Prompts List<ZeroTrust Access Ai Controls Mcp Portal Server Updated Prompt> - Portal-specific prompt overrides.
- Updated
Tools List<ZeroTrust Access Ai Controls Mcp Portal Server Updated Tool> - Portal-specific tool overrides.
- Server
Id string - Unique identifier for the MCP server.
- Default
Disabled bool - Disable this server by default for clients connecting through the portal.
- On
Behalf bool - Use end-user OAuth credentials when connecting this server to the portal.
- Updated
Prompts []ZeroTrust Access Ai Controls Mcp Portal Server Updated Prompt - Portal-specific prompt overrides.
- Updated
Tools []ZeroTrust Access Ai Controls Mcp Portal Server Updated Tool - Portal-specific tool overrides.
- server_
id string - Unique identifier for the MCP server.
- default_
disabled bool - Disable this server by default for clients connecting through the portal.
- on_
behalf bool - Use end-user OAuth credentials when connecting this server to the portal.
- updated_
prompts list(object) - Portal-specific prompt overrides.
- updated_
tools list(object) - Portal-specific tool overrides.
- server
Id String - Unique identifier for the MCP server.
- default
Disabled Boolean - Disable this server by default for clients connecting through the portal.
- on
Behalf Boolean - Use end-user OAuth credentials when connecting this server to the portal.
- updated
Prompts List<ZeroTrust Access Ai Controls Mcp Portal Server Updated Prompt> - Portal-specific prompt overrides.
- updated
Tools List<ZeroTrust Access Ai Controls Mcp Portal Server Updated Tool> - Portal-specific tool overrides.
- server
Id string - Unique identifier for the MCP server.
- default
Disabled boolean - Disable this server by default for clients connecting through the portal.
- on
Behalf boolean - Use end-user OAuth credentials when connecting this server to the portal.
- updated
Prompts ZeroTrust Access Ai Controls Mcp Portal Server Updated Prompt[] - Portal-specific prompt overrides.
- updated
Tools ZeroTrust Access Ai Controls Mcp Portal Server Updated Tool[] - Portal-specific tool overrides.
- server_
id str - Unique identifier for the MCP server.
- default_
disabled bool - Disable this server by default for clients connecting through the portal.
- on_
behalf bool - Use end-user OAuth credentials when connecting this server to the portal.
- updated_
prompts Sequence[ZeroTrust Access Ai Controls Mcp Portal Server Updated Prompt] - Portal-specific prompt overrides.
- updated_
tools Sequence[ZeroTrust Access Ai Controls Mcp Portal Server Updated Tool] - Portal-specific tool overrides.
- server
Id String - Unique identifier for the MCP server.
- default
Disabled Boolean - Disable this server by default for clients connecting through the portal.
- on
Behalf Boolean - Use end-user OAuth credentials when connecting this server to the portal.
- updated
Prompts List<Property Map> - Portal-specific prompt overrides.
- updated
Tools List<Property Map> - Portal-specific tool overrides.
ZeroTrustAccessAiControlsMcpPortalServerUpdatedPrompt, ZeroTrustAccessAiControlsMcpPortalServerUpdatedPromptArgs
- Name string
- Name of the tool or prompt capability to override.
- Alias string
- Custom name exposed for the capability.
- Description string
- Custom description exposed for the capability.
- Enabled bool
- Whether the capability is available through the MCP server.
- Name string
- Name of the tool or prompt capability to override.
- Alias string
- Custom name exposed for the capability.
- Description string
- Custom description exposed for the capability.
- Enabled bool
- Whether the capability is available through the MCP server.
- name string
- Name of the tool or prompt capability to override.
- alias string
- Custom name exposed for the capability.
- description string
- Custom description exposed for the capability.
- enabled bool
- Whether the capability is available through the MCP server.
- name String
- Name of the tool or prompt capability to override.
- alias String
- Custom name exposed for the capability.
- description String
- Custom description exposed for the capability.
- enabled Boolean
- Whether the capability is available through the MCP server.
- name string
- Name of the tool or prompt capability to override.
- alias string
- Custom name exposed for the capability.
- description string
- Custom description exposed for the capability.
- enabled boolean
- Whether the capability is available through the MCP server.
- name str
- Name of the tool or prompt capability to override.
- alias str
- Custom name exposed for the capability.
- description str
- Custom description exposed for the capability.
- enabled bool
- Whether the capability is available through the MCP server.
- name String
- Name of the tool or prompt capability to override.
- alias String
- Custom name exposed for the capability.
- description String
- Custom description exposed for the capability.
- enabled Boolean
- Whether the capability is available through the MCP server.
ZeroTrustAccessAiControlsMcpPortalServerUpdatedTool, ZeroTrustAccessAiControlsMcpPortalServerUpdatedToolArgs
- Name string
- Name of the tool or prompt capability to override.
- Alias string
- Custom name exposed for the capability.
- Description string
- Custom description exposed for the capability.
- Enabled bool
- Whether the capability is available through the MCP server.
- Name string
- Name of the tool or prompt capability to override.
- Alias string
- Custom name exposed for the capability.
- Description string
- Custom description exposed for the capability.
- Enabled bool
- Whether the capability is available through the MCP server.
- name string
- Name of the tool or prompt capability to override.
- alias string
- Custom name exposed for the capability.
- description string
- Custom description exposed for the capability.
- enabled bool
- Whether the capability is available through the MCP server.
- name String
- Name of the tool or prompt capability to override.
- alias String
- Custom name exposed for the capability.
- description String
- Custom description exposed for the capability.
- enabled Boolean
- Whether the capability is available through the MCP server.
- name string
- Name of the tool or prompt capability to override.
- alias string
- Custom name exposed for the capability.
- description string
- Custom description exposed for the capability.
- enabled boolean
- Whether the capability is available through the MCP server.
- name str
- Name of the tool or prompt capability to override.
- alias str
- Custom name exposed for the capability.
- description str
- Custom description exposed for the capability.
- enabled bool
- Whether the capability is available through the MCP server.
- name String
- Name of the tool or prompt capability to override.
- alias String
- Custom name exposed for the capability.
- description String
- Custom description exposed for the capability.
- enabled Boolean
- Whether the capability is available through the MCP server.
Import
$ pulumi import cloudflare:index/zeroTrustAccessAiControlsMcpPortal:ZeroTrustAccessAiControlsMcpPortal example '<account_id>/<id>'
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- Cloudflare pulumi/pulumi-cloudflare
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
cloudflareTerraform Provider.
published on Tuesday, Aug 25, 2026 by Pulumi